Bug 995770 - SELinux is preventing zmaudit.pl from 'read' accesses on the lnk_file /home/ZoneMinder/events/1/11/12/04/.1.
SELinux is preventing zmaudit.pl from 'read' accesses on the lnk_file /home/Z...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3ced0860e84f634affa946e0697...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 19:23 EDT by Allen
Modified: 2013-10-24 13:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-24 13:53:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allen 2013-08-10 19:23:57 EDT
Description of problem:
After a yum update
SELinux is preventing zmaudit.pl from 'read' accesses on the lnk_file /home/ZoneMinder/events/1/11/12/04/.1.

*****  Plugin catchall_boolean (89.3 confidence) suggests  *******************

If you want to allow httpd to read home directories
Then you must tell SELinux about this by enabling the 'httpd_enable_homedirs' boolean.
You can read 'user_selinux' man page for more details.
Do
setsebool -P httpd_enable_homedirs 1

*****  Plugin catchall (11.6 confidence) suggests  ***************************

If you believe that zmaudit.pl should be allowed read access on the .1 lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep zmaudit.pl /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:object_r:user_home_t:s0
Target Objects                /home/ZoneMinder/events/1/11/12/04/.1 [ lnk_file ]
Source                        zmaudit.pl
Source Path                   zmaudit.pl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-300.fc19.x86_64 #1 SMP Tue
                              Jul 30 11:29:05 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-08-10 16:02:50 PDT
Last Seen                     2013-08-10 16:17:51 PDT
Local ID                      914e2bb7-b0b9-493b-bdda-3922c8fceae6

Raw Audit Messages
type=AVC msg=audit(1376176671.80:14889): avc:  denied  { read } for  pid=25778 comm="zmaudit.pl" name=".1" dev="dm-2" ino=52560898 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:user_home_t:s0 tclass=lnk_file


Hash: zmaudit.pl,httpd_t,user_home_t,lnk_file,read

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-08-12 10:40:15 EDT
Is /home/ZoneMinder a standard location for this?

If not you will have to setup different labeling for this.

semanage fcontext -a -t httpd_sys_content_t '/home/ZoneMinder(/.*)?'
restorecon -R -v /home/ZoneMinder

Note You need to log in before you can comment on or make changes to this bug.